<?php
/**
 * The home template file
 *
 * @package ablog
 */

get_header(); ?>

	<div id="primary" class="content-area home">
		<main id="main" class="site-main">
			<div class="container-fluid">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="blog-profile-wrap">
							<div class="blog-profile text-center">
								<?php if( get_theme_mod('blog_profile_image' ) ) :  ?>
									<img src="<?php echo esc_url( get_theme_mod('blog_profile_image', get_template_directory_uri() . '/assets/images/profile.png') ); ?>" class="img-circle" />
								<?php endif; ?>
								<h4 class="profile-title"><?php echo esc_html( get_theme_mod('blog_profile_title', 'Hello, I am ablog :)') ); ?></h4>
								<h1 class="profile-short-note"><?php echo esc_html( get_theme_mod('blog_profile_short_note', 'Thank you for hanging around my online Portfolio for awhile.') ); ?></h1>
							</div>
						</div>
					</div>
					<div class="col-md-9 col-sm-9 col-xs-12 <?php echo get_theme_mod('blog_layout', 'classic'); ?>">
						<div class="masonry-wrap">
							<?php
							if ( have_posts() ) :

							/* Start the Loop */
							while ( have_posts() ) : the_post();

								/*
                                 * Include the Post-Format-specific template for the content.
                                 * If you want to override this in a child theme, then include a file
                                 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                                 */
								$masonry[]= '';
								?>
								<article id="post-<?php the_ID(); ?>" <?php post_class($masonry); ?>>
									<div class="article-post">
										<?php

										$post_format = get_post_format();

										switch( $post_format ){
											case "image":
												get_template_part( 'post-formats/image', get_post_format() );
												break;
											case "video":
												get_template_part( 'post-formats/video', get_post_format() );
												break;
											case "quote":
												get_template_part( 'post-formats/quote', get_post_format() );
												break;
											case "link":
												get_template_part( 'post-formats/link', get_post_format() );
												break;
											case "gallery":
												get_template_part( 'post-formats/gallery', get_post_format() );
												break;
											case "audio":
												get_template_part( 'post-formats/audio', get_post_format() );
												break;
											default:
												get_template_part( 'post-formats/standard', get_post_format() );
										}
										?>
									</div>
								</article><!-- #post-<?php the_ID(); ?> -->
							<?php endwhile; ?>
						</div>
						<div class="<?php if ( get_theme_mod('blog_layout','masonry') == 'masonry' ) {echo 'col-md-12 col-sm-12 col-xs-12';} ?>">
							<?php the_posts_navigation(); ?>
						</div>
						<?php
						else :
							get_template_part( 'template-parts/content', 'none' );
						endif; ?>
					</div>
					<?php
					if ( get_theme_mod('blog_layout','classic') == 'classic' ) :
						get_sidebar();
					endif;
					?>
				</div>
			</div>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();