<?php
/**
 *  Typography
 */

function ablog_typography($custom) {

    $custom = '';

    // Typography
    $body_font_family = get_theme_mod('body_font_family');
    if ( $body_font_family !='' ) {
        $body_fonts_family = $body_font_family;
    }else{
        $body_fonts_family = '\'Lato\', sans-serif';
    }
    $heading_font_family = get_theme_mod('heading_font_family');
    if ( $heading_font_family !='' ) {
        $heading_fonts_family = $heading_font_family;
    }else{
        $heading_fonts_family = '\'Playfair Display\', serif';
    }

    // General
    $layout_wrap = get_theme_mod( 'layout', '1170' );
    $custom .= ".container-fluid,#container { max-width:" . intval($layout_wrap) . "px;}";
    $margin_top = get_theme_mod( 'margin_top', '60' );
    $custom .= ".content-area,#container { margin-top:" . intval($margin_top) . "px;}";
    $margin_bottom = get_theme_mod( 'margin_bottom', '60' );
    $custom .= ".content-area,#container { margin-bottom:" . intval($margin_bottom) . "px;}";

    ## Fonts, Weight, Size & Color ##

    // body
    $body_font_size = get_theme_mod( 'body_font_size', '16' );
    $body_font_weight = get_theme_mod( 'body_font_weight', '400' );
    $body_text_color = get_theme_mod( 'body_text_color', '#000' );
    $custom .= "body { color:" . $body_text_color . "; font-size: " . $body_font_size . "px; font-family: ". $body_fonts_family .";font-weight: " . $body_font_weight . ";} ";
    // link color
    $link_color = get_theme_mod( 'link_color', '#b4b4b4' );
    $custom .= "a { color:" . esc_attr($link_color) . "}";
    // link hover color
    $link_hover_color = get_theme_mod( 'link_hover_color', '#000' );
    $custom .= "a:hover { color:" . esc_attr($link_hover_color) . "}";
    // Menu link color
    $menu_link_color = get_theme_mod( 'menu_color', '#fff' );
    $custom .= ".primary-menu .navbar-default .navbar-nav>li>a { color:" . esc_attr($menu_link_color) . "}";
    // Menu hover link color
    $menu_hover_link_color = get_theme_mod( 'menu_hover_color', '#666' );
    $custom .= ".navbar-default .navbar-nav>.active>a, .navbar-default .navbar-nav>.active>a:focus, .navbar-default .navbar-nav>.active>a:hover,.navbar-default .navbar-nav>li>a:focus, .navbar-default .navbar-nav>li>a:hover { color:" . esc_attr($menu_hover_link_color) . "}";
    // heading
    $heading_font_weight = get_theme_mod( 'heading_font_weight', '700' );
    $heading_color = get_theme_mod( 'heading_color', '#000' );
    $custom .= "h1,h2,h3,h4,h5,h6 { color:" . esc_attr($heading_color) . ";font-family: ". $heading_fonts_family .";font-weight: " . $heading_font_weight . ";}";
    // heading
    $menu_bg_color = get_theme_mod( 'menu_bg_color', '#000' );
    $custom .= ".primary-menu { background-color:" . esc_attr($menu_bg_color) . ";}";
    // Default Button Color's
    $default_text_color = get_theme_mod( 'default_text_color', '#fff' );
    $default_bg_color = get_theme_mod( 'default_bg_color', '#000' );
    $default_border_color = get_theme_mod( 'default_border_color', '#000' );
    $custom .= ".comment-form .form-submit input,.search-submit,.btn-default, .btn-default.disabled{ background-color:" . esc_attr($default_bg_color) . "; color: " . esc_attr($default_text_color) . ";border-color: " . esc_attr($default_border_color) . "; } ";
    // Default Button Hover Color's
    $default_hover_text_color = get_theme_mod( 'default_hover_text_color', '#fff' );
    $default_hover_bg_color = get_theme_mod( 'default_hover_bg_color', '#333' );
    $default_hover_border_color = get_theme_mod( 'default_hover_border_color', '#333' );
    $custom .= ".comment-form .form-submit input:hover,.search-submit:hover,.btn-default.active, .btn-default.focus, .btn-default:active, .btn-default:focus, .btn-default:hover, .open>.dropdown-toggle.btn-default{ background-color:" . esc_attr($default_hover_bg_color) . "; color: " . esc_attr($default_hover_text_color) . ";border-color: " . esc_attr($default_hover_border_color) . "; } ";
    // Heading Elements
    $heading_size_h1 = get_theme_mod( 'heading_size_h1', '40' );
    $custom .= " h1{ font-size: " . $heading_size_h1 . "px }";
    $heading_size_h2 = get_theme_mod( 'heading_size_h2', '36' );
    $custom .= " h2{ font-size: " . $heading_size_h2 . "px }";
    $heading_size_h3 = get_theme_mod( 'heading_size_h3', '30' );
    $custom .= " h3{ font-size: " . $heading_size_h3 . "px }";
    $heading_size_h4 = get_theme_mod( 'heading_size_h4', '24' );
    $custom .= " h4{ font-size: " . $heading_size_h4 . "px }";
    $heading_size_h5 = get_theme_mod( 'heading_size_h5', '18' );
    $custom .= " h5{ font-size: " . $heading_size_h5 . "px }";
    $heading_size_h6 = get_theme_mod( 'heading_size_h6', '15' );
    $custom .= " h6{ font-size: " . $heading_size_h6 . "px }";

    //Output inline styles
    wp_add_inline_style( 'ablog-style', $custom );
}
add_action( 'wp_enqueue_scripts', 'ablog_typography' );