<?php
/**
 * Post Formats
 *
 * https://codex.wordpress.org/Post_Formats
 *
 * Link
 */
?>
<header class="entry-header">
    <?php

    ablog_blog_cat();

    if ( is_singular() ) :
        the_title( '<h3 class="entry-title">', '</h3>' );
    else :
        the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
    endif;

    if ( 'post' === get_post_type() ) : ?>
        <div class="entry-meta">
            <?php ablog_posted_on(); ?>
        </div><!-- .entry-meta -->
        <?php
    endif; ?>
    <?php if ( has_post_thumbnail() ) : ?>
        <div class="entry-thumb">
            <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute( array( 'before' => 'Permalink to: ', 'after' => '' ) ); ?>"><?php the_post_thumbnail('full'); ?></a>
        </div>
    <?php endif; ?>
</header><!-- .entry-header -->

<div class="entry-content">
    <?php if (  !is_home() && !is_archive()  ) : ?>
        <?php the_content(); ?>
    <?php else : ?>
        <?php the_excerpt(); ?>
        <a href="<?php the_permalink(); ?>" class="read-more text-uppercase btn btn-default"><?php esc_html_e( 'read more', 'ablog' )?></a>
        <?php
        wp_link_pages( array(
            'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'ablog' ),
            'after'  => '</div>',
        ) );
    endif; ?>
</div><!-- .entry-content -->
<footer class="entry-footer">
    <?php ablog_entry_footer(); ?>
</footer><!-- .entry-footer -->
